Introduction to TI DeviceInformation

TI DeviceInformation gives you the ability to quickly find information about your TI handheld device. You can find general device information, installed application information, and device ID information.

Before you start using TI DeviceInformation, you should learn the basics of the tool. This section covers the basic information you may need to know. It includes descriptions of the TI DeviceInformation window and its tabs, as well as information on opening, closing, and setting up TI DeviceInformation.

Help for TI Connect™ TI DeviceInformation March 09, 2004 © 2004 Texas Instruments


TI DeviceInformation window

The TI DeviceInformation window displays the general information, installed applications, and ID List for the connected TI handheld device. It displays this information under three tabs (General Information, Installed Applications, ID List). By default, the window opens to the General Information tab.

Parts of the TI DeviceInformation window

Menu bar – Menus at the top of the window that you can use to tell the program what actions you want to perform.
Tabs – Parts of the main window that let you change the information the window displays. There are three tabs: General Information, Installed Applications, and ID List. Each tab contains different information about the connected device.
Main viewing area – Part of the main window where you can view the general information, device information, and ID List.


TI DeviceInformation tabs

The TI DeviceInformation window has three different tabs: General Information, Installed Applications, and ID List. Each tab provides different information about the connected device.

General Information tab

Under the general information tab, you can find the device type, device ID, OS version, BIOS version, language, total RAM, RAM available, and battery status. The software may not be able to find all of the general information for each device.

Installed Applications tab

Under the Installed Applications tab, you can find a list of the applications installed on the connected device.

ID List tab

Under the ID List tab, you can find the ID on your device.


Opening and closing TI DeviceInformation

You can open TI DeviceInformation from the TI Connect Home screen or from another TI Connect™ tool. You can close TI DeviceInformation from the menu bar and the TI DeviceInformation window.

To open TI DeviceInformation from the TI Connect Home screen

Click TI DeviceInfo.

The TI DeviceInformation window opens.

Note: If the Select TI Device dialog box opens, click the appropriate device and then click Select.

To open TI DeviceInformation from another tool

You can open TI DeviceInformation from TI DeviceExplorer, TI DataEditor, and TI ScreenCapture.

Click Tools > TI DeviceInformation or click [image] .

The TI DeviceInformation window opens.

Note: If the Select TI Device dialog box opens, click the appropriate device and then click Select.

To close TI DeviceInformation

Click File > Exit or click Close.


Changing the selected device type

The TI Connect™ software lets you have multiple devices connected at the same time. However, the software can only work with one device at a time. When you want to use a device different from the one you currently have selected, you must change the selected device type. The device type you select becomes the default device for all TI Connect tools. It remains the default until you change the selected device type again.

To change the selected device type

  1. Click Actions > Select Device.

    2. The Select TI Device dialog box opens. The software determines which devices you have connected and displays them in the dialog box.

  2. When the device you want appears in the list, click it.
  3. Click Select.

    4. The software changes the selected device type and refreshes the contents of the window.

Note: You can select a device (perform steps 2 and 3) as soon as the device you want appears in the dialog box. You do not have to wait for the software to find all connected devices.


Finding device information

TI DeviceInformation lets you quickly locate information about a connected TI handheld device. You can use TI DeviceInformation to find general information about your device, applications installed on your device, and your device’s ID list.


Finding general information

The general information available about a connected device is the device type, device ID, OS version, BIOS version, language, total RAM, RAM available, and battery status. When you open TI DeviceInformation, it automatically gathers information from the selected device and lists the general information. You can also find a device’s general information using the steps below.

Note: If you are finding information for a TI-73 device, the battery status listed may not be accurate. The TI-73 device does not accurately tell the TI Connect™ software the battery power of the device.

To find general information

  1. Click Actions > Get Device Info.

    2. TI DeviceInformation connects to the device attached to your computer and gathers information about the device.

  2. Click the General Information tab.

    3. TI DeviceInformation lists the device's general information.

    Note: Not all general information is available for each device.


Finding installed applications

You can use TI DeviceInformation to quickly find the applications installed on your device. When you open TI DeviceInformation, it automatically gathers information from the selected device. Click the Installed applications tab to view the applications installed on your device. You can also find a device’s installed applications using the steps below.

To find installed applications

  1. Click Actions > Get Device Info.

    2. TI DeviceInformation connects to the device attached to your computer and gathers information about the device.

  2. Click the Installed Applications tab.

    3. TI DeviceInformation lists the names of the installed applications.


Finding the ID List

You can use TI DeviceInformation to quickly find your device’s ID List. When you open TI DeviceInformation, it automatically gathers information from the selected device. To view the ID List, click the ID List tab. You can also find a device’s ID List using the steps below.

To find the ID List

  1. Click Actions > Get Device Info.

    2. TI DeviceInformation connects to the device attached to your computer and gathers information about your device.

  2. Click the ID List tab.

    3. TI DeviceInformation displays the ID List.


Using device information files

Device information files are an easy way to keep track of your device’s contents. These files store all of the available device information, including general information, installed applications, and ID Lists. You can create device information files with the information gathered from any TI handheld device and open the files whenever necessary.


Creating device information files

Creating a device information file gives you the ability to view information about your device at any time, even when your device is not connected to the computer. You can create a device information file by saving the information you find in TI DeviceInformation.

To create device information files

  1. Click File > Save Info File.

    2. The Save As dialog box opens.

  2. If necessary, navigate to the location where you want to save the file.
  3. Type a file name for the device information file.
  4. Click Save.


Opening device information files

You can open device information files in the TI DeviceInformation window at any time. When you open the files, you do not need to have any device connected to your computer. TI DeviceInformation only needs the device information files to list the information about your device.

To open device information files

  1. Click File > Open Info File.

    2. The Open dialog box opens.

  2. If necessary, navigate to the file’s location.
  3. Click the file.
  4. Click Open.

    5. TI DeviceInformation opens the file and displays the device information under the appropriate tabs.

Note: You can also open device information files in any software that supports text files.


Troubleshooting

This section contains information to help you quickly solve any problems you may encounter while using TI DeviceInformation. If you are unable to find an answer to your question here or in the help, visit the TI-Cares™ KnowledgeBase.


Frequently-asked questions

Q: What information can I find using TI DeviceInformation?

A: You can find the device type, device ID, OS version, BIOS version, language, total RAM, RAM available, battery status, installed applications, and ID list.

Note: If you are finding information for a TI-73 device, the battery status listed may not be accurate. The TI-73 device does not accurately tell the TI Connect™ software the battery power of the device.

Q: Can I save the device information?

A: Yes, you can save the information by creating a device information file. (See "Creating device information files")

Q: Why does “N/A” appear after some of the general information fields?

A: N/A indicates that the information for that field is not available. Not all general information is available for each device.

Q: Does my device need to be connected in order to open a device information file?

A: No. You can open device information files without having a device connected.

Q: Can I open device information files in computer applications other than TI DeviceInformation?

A: Yes. You can open device information files in any computer application that supports text files.

Q: Can I change the device displayed in the window?

A: Yes. Click Actions > Select Device to change the displayed device.

Q: In the Select TI Device dialog box, can I select a device before the software locates all of the connected devices?

A: Yes. In the Select TI Device dialog box, you can select a device as soon as it appears.


Error messages

Error message
Possible causes and/or solutions
Cannot establish a valid connection
The device is not connected properly. Make sure the TI Connectivity Cable is securely connected to the computer and the device.
Cannot get information from device
The TI DeviceInformation software could not connect to the device.
  • Make sure your device is turned on and securely connected to the computer.
  • Check your Communication Settings and make sure you have selected the correct device, cable type, and port.
Couldn’t get device info
The connected device is low on RAM. Free up some RAM on your device.
Could not establish communication
TI OS Downloader cannot download the operating system to your device.
  • Make sure the TI Connectivity Cable is securely connected to the computer and the device.
  • Check your communication settings and be sure you've selected the correct device, the correct cable, and the correct ComPort number.
Device Not Found
The TI Connect™ software cannot connect to the attached device.
  • Make sure your device is turned on and securely connected to the computer.
  • Check your communication settings and be sure you've selected the correct device, cable type, and port.
The handle is invalid
In TI OS Downloader, you skipped one or more of the steps for downloading the operating system to your device. When you use TI OS Downloader, make sure you follow each step in the “Ready to Download” field.
Unknown
The TI Connect™ software is unable to determine your communication settings. Make sure your device is turned on and securely connected to the computer.


Glossary

This section provides reference material that you may find helpful while using TI DeviceInformation. In it, you can find terminology, data information type explanations, and file type explanations.


Terms

application – 1: Software designed to run on a TI handheld device, such as TI CellSheet™ Converter. 2: Software you can use with a TI handheld device, such as TI DeviceExplorer. More commonly called a tool.
cable type – The type of TI Connectivity Cable connected to your device. Cable types include the USB computer cable, USB Silver Edition cable, black link cable, and gray link cable.
general information – Information about a device, including device type, product, OS version, BIOS version, language, total RAM, RAM available, and battery status.
ID – The individual number given to each TI handheld device.
installed applications – Any application installed on the connected device.


Device information types

battery status – Indicates how much power is left on the connected device’s battery. If the power is sufficient, TI DeviceInformation displays “good.” If the power is insufficient, TI DeviceInformation displays “low.”
BIOS version – The hardware version on the connected device.
device ID – The identification number on the connected device.
device type – The type of device connected to the computer, including the TI-73, TI-83, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, TI-86, TI‑89, TI‑89 Titanium, TI-92, TI‑92 Plus, and Voyage™ 200 Personal Learning Tool.
general information – Information about a device, including device type, product, OS version, BIOS version, language, total RAM, RAM available, and battery status.
ID List – The identification number on the connected device.
installed applications – Any applications available on the connected device.
language – The language on the device. For example, English (United States of America).
OS version – The operating system version on the connected device.
RAM available – The amount of usable memory available on the connected device.
Total RAM – The total amount of memory on the connected device.


File types

ASCII text file (*.txt) – Files that contain plain text. TI DeviceInformation saves all files as ASCII text files. Examples: DeviceInfo1.txt, TI83Device.txt.


Legal Information

This section contains important legal notices about this product. In it, you can find important information, service and support information, and the license agreement.


Important Information

Texas Instruments makes no warranty, either express or implied, including but not limited to any implied warranties of merchantability and fitness for a particular purpose, regarding any programs or book materials and makes such materials available solely on an "as-is" basis. In no event shall Texas Instruments be liable to anyone for special, collateral, incidental, or consequential damages in connection with or arising out of the purchase or use of these materials, and the sole and exclusive liability of Texas Instruments, regardless of the form of action, shall not exceed the purchase price of this product. Moreover, Texas Instruments shall not be liable for any claim of any kind whatsoever against the use of these materials by any other party.

Graphing product applications (Apps) are licensed. See the terms of the license agreement for each product.

Copyright © 2004 Texas Instruments Incorporated.


Texas Instruments Support and Service

For general information

Home Page:

education.ti.com

KnowledgeBase and e-mail inquiries:

education.ti.com/support

Phone:

(800) TI-CARES / (800) 842-2737
For U.S., Canada, Mexico, Puerto Rico, and
Virgin Islands only

International information:

education.ti.com/support

(Click the International Information link.)

For technical support

KnowledgeBase and support by e‑mail:

education.ti.com/support

Phone
(not toll-free):

(972) 917-8324

For product (hardware) service

Customers in the U.S., Canada, Mexico, Puerto Rico and Virgin Islands: Always contact Texas Instruments Customer Support before returning a product for service.

All other customers: Refer to the leaflet enclosed with this product (hardware) or contact your local Texas Instruments retailer/distributor.


Texas Instruments PC Software License Agreement

By downloading/installing this software and/or documentation, you agree to abide by the following provisions.

  1. License: Subject to your payment of any applicable license fee, Texas Instruments Incorporated ("TI") grants you a license to copy and use the software program(s) and documentation from the linked web page or CD ROM ("Licensed Materials"). In addition to the copy resident on your computer, you may keep a copy on diskette or CD for backup / archive purposes.
  2. Restrictions: You may not reverse-assemble or reverse-compile the software program portion of the Licensed Materials that are provided in object code format. You may not sell, rent, or lease copies of the Licensed Materials.
  3. Support: Support for the Licensed Materials is described in the documentation that accompanies the software. Absent such documentation, support shall be provided by TI.
  4. Copyright: The Licensed Materials and any accompanying documentation are copyrighted. If you make copies, do not delete the copyright notice, trademark, or protective notices from the copies.
  5. Warranty: TI warrants that it has the right to provide the Licensed Materials. TI does not warrant that the Licensed Materials will be free from errors or will meet your specific requirements. The Licensed Materials are made available "AS IS" to you or any subsequent user.

    6. Although no warranty is given for the Licensed Material, the media (if any) will be replaced if found to be defective during the first three (3) months of use, when the package is returned postage prepaid to TI. THIS PARAGRAPH EXPRESSES TI'S MAXIMUM LIABILITY AND YOUR SOLE AND EXCLUSIVE REMEDY.

  6. Limitations: Except as explicitly stated above, TI makes no warranty or condition, either express or implied, including but not limited to any implied warranties of merchantability and fitness for a particular purpose, regarding the Licensed Materials.

    7. In no event shall TI or its suppliers be liable for any indirect, incidental or consequential damages, loss of profits, loss of use or data, or interruption of business, whether the alleged damages are labeled in tort, contract or indemnity.

    Some states or jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation may not apply.

  7. Additional terms: This Agreement will immediately terminate if you fail to comply with its terms. Upon termination of this Agreement, you agree to return or destroy the original package and all whole or partial copies of the Program in your possession and so certify in writing to TI.

    8. The export and re-export of United States original software and documentation is subject to the Export Administration Act of 1969 as amended. Compliance with such regulations is your responsibility. You agree that you do not intend to nor will you, directly or indirectly, export, re-export or transmit the Program or technical data to any country to which such export, re-export or transmission is restricted by any applicable United States regulation or statute, without the proper written consent or license, if required of the Bureau of Export Administration of the United States Department of Commerce, or such other governmental entity as may have jurisdiction over such export, re-export or transmission.

    If the Program is provided to the U.S. Government pursuant to a solicitation issued on or after December 1, 1995, the Program is provided with the commercial license rights and restrictions described elsewhere herein. If the Program is provided to the U.S. Government pursuant to a solicitation issued prior to December 1, 1995, the Program is provided with "Restricted Rights" as provided for in FAR, 48 CFR 52.227-14 (JUNE 1987) or DFAR, 48 CFR 252.227-7013 (OCT 1988), as applicable.